Name:           eclipse-m2e-sourcelookup
Version:        1.1.0.201506181114
Release:        8%{?dist}
Summary:        M2E Sources Lookup
License:        EPL
URL:            https://github.com/ifedorenko/com.ifedorenko.m2e.sourcelookup
BuildArch:      noarch

Source0:        https://github.com/ifedorenko/com.ifedorenko.m2e.sourcelookup/archive/%{version}.tar.gz
Source1:        http://www.eclipse.org/legal/epl-v10.html

BuildRequires:  maven-local
BuildRequires:  mvn(io.takari.tycho:tycho-support:pom:)
# Extra BR for javaagent (not built with %%mvn_build)
BuildRequires:  mvn(org.apache.maven.plugins:maven-shade-plugin)

BuildRequires:  osgi(org.eclipse.core.expressions)
BuildRequires:  osgi(org.eclipse.core.filesystem)
BuildRequires:  osgi(org.eclipse.core.resources)
BuildRequires:  osgi(org.eclipse.core.runtime)
BuildRequires:  osgi(org.eclipse.debug.core)
BuildRequires:  osgi(org.eclipse.debug.ui)
BuildRequires:  osgi(org.eclipse.equinox.common)
BuildRequires:  osgi(org.eclipse.equinox.registry)
BuildRequires:  osgi(org.eclipse.jdt.core)
BuildRequires:  osgi(org.eclipse.jdt.debug)
BuildRequires:  osgi(org.eclipse.jdt.debug.ui)
BuildRequires:  osgi(org.eclipse.jdt.junit)
BuildRequires:  osgi(org.eclipse.jdt.launching)
BuildRequires:  osgi(org.eclipse.jface)
BuildRequires:  osgi(org.eclipse.m2e.core)
BuildRequires:  osgi(org.eclipse.m2e.core.ui)
BuildRequires:  osgi(org.eclipse.m2e.jdt)
BuildRequires:  osgi(org.eclipse.m2e.launching)
BuildRequires:  osgi(org.eclipse.m2e.maven.runtime)
BuildRequires:  osgi(org.eclipse.pde.core)
BuildRequires:  osgi(org.eclipse.swt)
BuildRequires:  osgi(org.eclipse.ui)
BuildRequires:  osgi(org.eclipse.ui.ide)
BuildRequires:  osgi(org.eclipse.ui.workbench)
BuildRequires:  osgi(org.sonatype.tycho.m2e)
BuildRequires:  osgi(slf4j.api)
BuildRequires:  osgi(org.eclipse.equinox.p2.ui.discovery)

%description
Allows Eclipse Java debugger lookup sources of Java classes
dynamically loaded by Maven, such as Maven plugins.  Supports multiple
versions of the same class loaded by the Maven VM.  Sources are looked
up among Eclipse workspace projects or resolved from Maven
repositories as necessary.

%prep
%setup -q -n com.ifedorenko.m2e.sourcelookup-%{version}
find -name *.jar -delete
cp -p %{SOURCE1} .

%pom_remove_plugin :tycho-packaging-plugin

# Tests are skipped because of missing dependencies:
# osgi(org.eclipse.m2e.tests.common)
%pom_disable_module com.ifedorenko.m2e.binaryproject.tests

# SLF4J in Fedora uses a different BSN
sed -i s/org.slf4j.api/slf4j.api/ $(find -name *.MF)

# Don't attempt to create shaded sources jar
%pom_xpath_remove pom:createSourcesJar com.ifedorenko.m2e.sourcelookup.javaagent/pom.xml

%build
# Building m2e-sourcelookup is a two step process.
xmvn -B -o -f com.ifedorenko.m2e.sourcelookup.javaagent/pom.xml package
cp com.ifedorenko.m2e.sourcelookup.javaagent/target/com.ifedorenko.m2e.sourcelookup.javaagent-*-SNAPSHOT.jar \
    com.ifedorenko.m2e.sourcelookup/com.ifedorenko.m2e.sourcelookup.javaagent.jar
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%doc README.md epl-v10.html

%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0.201506181114-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0.201506181114-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0.201506181114-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0.201506181114-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0.201506181114-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 01 2017 Mat Booth <mat.booth@redhat.com> - 1.1.0.201506181114-3
- Fix FTBFS due to sources jars of deps not available during RPM builds

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0.201506181114-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Oct 14 2015 Mat Booth <mat.booth@redhat.com> - 1.1.0.201506181114-1
- Update to latest release

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 1.1.0.201406131218-4.git192e51f
- Rebuild as an Eclipse p2 Droplet.

* Mon Jul 13 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.1.0.201406131218-3.git192e51f
- Fix BR on parent POM

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0.201406131218-2.git192e51f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 4 2015 Alexander Kurtakov <akurtako@redhat.com> 1.1.0.201406131218-1.git192e51f
- Switch to git post release to unbreak build.

* Mon May 18 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.1.0.201406131218-1
- Update to upstream version 1.1.0.201406131218

* Thu Mar 26 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.1.0.201401182304-5
- Rebuild to fix slf4j symlinks

* Tue Dec 9 2014 Alexander Kurtakov <akurtako@redhat.com> 1.1.0.201401182304-4
- Fix FTBFS.

* Thu Sep 11 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.1.0.201401182304-3
- Install with XMvn

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0.201401182304-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 24 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.1.0.201401182304-1
- Initial packaging
